API reference
Billing
Platform plans, subscriptions, and invoices
curl -X POST "https://www.prolifto.store/api/billing/getOverview"{}curl -X POST "https://www.prolifto.store/api/billing/cancelAtPeriodEnd"{}curl -X POST "https://www.prolifto.store/api/billing/cancelScheduledDowngrade"{}Schedule Downgrade
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billing/scheduleDowngrade" \ -H "Content-Type: application/json" \ -d '{ "planSlug": "string" }'{}Request Invoice
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billing/requestInvoice" \ -H "Content-Type: application/json" \ -d '{ "planSlug": "string" }'{}curl -X POST "https://www.prolifto.store/api/billing/resumeSubscription"{}Upload Receipt
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billing/uploadReceipt" \ -H "Content-Type: application/json" \ -d '{ "invoiceId": "string", "paymentMethod": "TRANSFER", "receiptDataUrl": "string" }'{}